# Custom Field Types and Values Formats

#### **Available custom field types and valid string value formats**

| Type            | Value String Format                                  | Example                                             |
| --------------- | ---------------------------------------------------- | --------------------------------------------------- |
| text\_input     | any string                                           | "any text required"                                 |
| text\_area      | any string                                           | "any text required"                                 |
| select          | One of possible values                               | "Option 1"                                          |
| date            | any date formatted string                            | "2019-12-15T21:00:00.000Z"                          |
| check\_list     | names of selected values separated by commas         | "Option 1, Option 2"                                |
| radio           | 1 of possible Values                                 | "Option 1"                                          |
| email\_input    | emails address                                       | "<JohnSmith@gmail.com>"                             |
| number\_input   | Integer                                              | "4584132"                                           |
| region          | 1 of Norway regions                                  | "Nordland"                                          |
| check\_box      | `true` or `false`                                    | "true"                                              |
| mobile\_number  | mobile number                                        | "+9044444444,"                                      |
| address         | string containing address in any format              | "Santa Claus Village, Tähtikuja 1, 96930 Rovaniemi" |
| account\_number | string with norwegian bank account number, 11 digits | "12345678912"                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/enumerations/custom-field-types-and-values-formats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
